Bug 30598 - two ethernet interfaces trouble
two ethernet interfaces trouble
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-04 20:04 EST by Michal Jaegermann
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-17 16:01:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-03-04 20:04:24 EST
On a machine with TWO ethernet cards there is an option to configure
only the one during an installation.  This would be fine if not that
small detail that the other card is configured by default to DHCP and
ONBOOT=yes.  The effect is that on the first boot a machine makes
a pretty good impression that it hanged trying to bring eth1 up.
It times out, eventually, but a timeout period is long enough to convince
a newbie that the whole thing crashed.   In my particular case there
was not even a cable connected to eth1.  Otherwise this may possibly
take even longer because DHCP would have to be sent and timeouts for
these would possibly have to be added.

Yes, there will be the second cable here, but later.
Comment 1 Erik Troan 2001-03-05 16:53:48 EST
Did you install in GUI or text mode?
Comment 2 Michal Jaegermann 2001-03-05 18:36:18 EST
This was GUI install. I do not know what will happen with text.

Actually there are reasons for a cable to be connected right now to eth1,
but this is a side issue.
Comment 3 Erik Troan 2001-03-05 19:58:28 EST
Did you look at the screen where it lets you configure eth0 to see if there is a
notebook tab at the top for eth1 as well?
Comment 4 Michal Jaegermann 2001-03-06 00:47:23 EST
I did not notice any tabs; but it cannot be entirely excluded that I am blind.
Comment 5 Michael Fulbright 2001-03-20 12:28:05 EST
Brent please investigate this case. I would agree we should only default the
first nic (eth0) to DHCP, and the others to manual configuration and onboot=no
unless they supply values.

Will have to address next release cycle, deferring for now.
Comment 6 Michael Fulbright 2001-09-17 16:01:05 EDT
Jeremy please check this behavior with enigma.
Comment 7 Jeremy Katz 2002-01-21 20:03:33 EST
This should be fixed as of Red Hat Linux 7.2.  If you find this not to be the
case, please reopen this bug report.

Note You need to log in before you can comment on or make changes to this bug.